POST/hotelInfo

Get Hotel Information

This endpoint fetches the basic details of a hotel, including its name, address, city, and state using the hotelCode as an input parameter.
POST/hotelInfo

Parameter Details

NameInTypeRequiredDescription
» hotelCodesbodyRequiredList of hotel codes for which to fetch information.

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /hotelInfo \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}' \
  -d '{
    "hotelCodes": [1]
  }'

Body parameter

{
  "hotelCodes": [
    1
  ]
}

Example responses

200 Response
{
  "hotelCode": 1,
  "hotelName": "VAYA Residence Galtür Paznaun",
  "address": "Unterrain 86d",
  "city": "Galtur",
  "state": "Tirol",
  "zip": "6563",
  "country": "AUT",
  "starRating": "3.00",
  "lat": 46.970798,
  "lng": 10.195458
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.